import {ActionContext} from "vuex";


const state = {
    userId: null,
    token: null
};

const getters = {
    isAuthenticated(state:any ) {
        return state.token
    },
    token: (state:any) => state.token

};

const mutations = {
    setUser(context:ActionContext<any, any>, payload:any) {
        console.log("mutations.setUser", payload);
        state.userId = payload.userId;
        state.token = payload.token;
    },
};

const actions = {};
const modules = {};

const authModule = {
    state,
    getters,
    mutations,
    actions,
    modules
}

export default authModule